OpenVDB 12.1.0

Loading...
Searching...
No Matches
CopyConstness< FromType, ToType > Struct Template Reference

CopyConstness<T1, T2>::Type is either const T2 or `T2` with no `const` qualifier, depending on whether `T1` is `const`. More...

`#include <openvdb/Types.h>`

## Public Types
using | Type = typename std::remove_const<ToType>::type

## Detailed Description

template<typename FromType, typename ToType>
struct openvdb::v12_1::CopyConstness< FromType, ToType >

CopyConstness<T1, T2>::Type is either const T2 or `T2` with no `const` qualifier, depending on whether `T1` is `const`.

For example,

- CopyConstness<int, int>::Type is `int`
- CopyConstness<int, const int>::Type is `int`
- CopyConstness<const int, int>::Type is const int
- CopyConstness<const int, const int>::Type is const int

## Member Typedef Documentation

## ◆ Type

template<typename FromType, typename ToType>

using Type = typename std::remove_const<ToType>::type